commit: d2a6c9a0e81fe1f293bf27cc16b140e9da0ac8f5
Author: Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 17 20:48:42 2026 +0000
Commit: Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Feb 17 22:08:14 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2a6c9a0
dev-util/marksman: bump to 2026.02.08
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>
dev-util/marksman/Manifest | 1 +
dev-util/marksman/marksman-2026.02.08.ebuild | 157 +++++++++++++++++++++++++++
2 files changed, 158 insertions(+)
diff --git a/dev-util/marksman/Manifest b/dev-util/marksman/Manifest
index 0adb75fa6b49..b4b37c229020 100644
--- a/dev-util/marksman/Manifest
+++ b/dev-util/marksman/Manifest
@@ -13,6 +13,7 @@ DIST glob.1.1.9.nupkg 69256 BLAKE2B
177dac70f427d2d4b949eb31c0a65422ad84c6eef2a6
DIST iced.1.21.0.nupkg 2127279 BLAKE2B
4eaeefb18fddae4dac7c967043b26bfdbaa2a51cace0fe127556d975b95b47c0dd26b7db1916d3484d0e5827fe2116be5389cd5c9ccccbc2c58c8e5997fafddc
SHA512
960bdc10717639bca88f9ad48d4a5f50040dc74263c28109e4d4ddbdd8174b250957d5fcc23537310431b916ae1fd1adc706f45adf6ab9bb801d532914591164
DIST markdig.0.43.0.nupkg 1151387 BLAKE2B
7ea8897f0c875070cab763a9678dfbbd651f3936450445ccfe0771847925adc28748c5ecb799672ed13827565d65d4de941cf7a5982c47ae3cab5644c55a2847
SHA512
83ab75dfb2c5b201316b4b4cdf0115e3b94baf172a64861886d689ec118649820ed4aa76660562df4f7fa50e3227172a98ebeaec0bc89fe91ba7d4577f8a284d
DIST marksman-2025.11.25.gh.tar.gz 7804786 BLAKE2B
1c40d7e253ad5b140932ef63209519798f753ea3f21496d5ddfffdef47c7538bceca8e8fe419e15fd2a91267e35aefd666db8d3141987ae8aef259baa79c892c
SHA512
bbf032343daed0838b105e9acea4fcd8157e5bc53a5172a9d5c966090b43fb3d5f3422ce254755ddc0658671b6941b0985440f3392011ad3bf06cc0199276d33
+DIST marksman-2026.02.08.gh.tar.gz 7806373 BLAKE2B
c6097df2e0fd905579b18bb1cbb801b91fd3bac5e903f72ab3b2a02fbe40d7ae9eb9ed6861b906857c621aebfbe88f9bf375afc76195f1a92f5e1fec33143a3e
SHA512
fc2f68d3bd37744fe0fe6b6362765b35d30d32fa6338a3bd32192ea44bf0a9d5a02398bc96fd9b8ab16d9986324b81f40312d6758dd768aafe621b273ec023d0
DIST messagepack.2.5.192.nupkg 493411 BLAKE2B
52e6cde37a2f46d4a7bebdc8c5116af38f8a5e65e029425236ad818b354f3bbe694fc9f82fbcf7d857a3da42b8189fd40fa5a2415bf89f9c25bf4ceaecd4f92c
SHA512
4a7af049020a59fc5c42fcc4d530943ef27b03fe3828504372609cf9850322af106a509fd1b1808e20680057b0849f3542e4b916c08d08e70a9fe21445895b01
DIST messagepack.annotations.2.5.192.nupkg 20900 BLAKE2B
a1dc7c60bf04e5bcfc7dcf3f37e7c49834bd4737e171430a131e590fa7884792412492defdbf0c56f648911e2240fda77b922a073c3599a3ee1e14fbd787332d
SHA512
a44fd20f6374fa70c053c06d4c7aa3c8884b3362f931bd0d88ee215b4c9b8afd88f816cad0911a1ad6caa5e1263af293fb9b3685db3482f93f1ab00786072977
DIST microsoft.bcl.asyncinterfaces.1.1.0.nupkg 92985 BLAKE2B
3de4d3c85a43d9c81b24419919e82a590615de75dadfc5bc156777938c1ee30ba9602719614223be3a4aedfd589bf4f02e78b576f80926bb29d8e0a742c692d6
SHA512
4277ce265233e5ebf15370e7d42cf8574c1fce715a892eadbeba136136dbc36ba4d78b4090e55217293f8421f2eb84bcfdc9343de42a2d5e06b8ff5b00d0723d
diff --git a/dev-util/marksman/marksman-2026.02.08.ebuild
b/dev-util/marksman/marksman-2026.02.08.ebuild
new file mode 100644
index 000000000000..208892fc8ad6
--- /dev/null
+++ b/dev-util/marksman/marksman-2026.02.08.ebuild
@@ -0,0 +1,157 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+APP_PV="${PV//./-}"
+
+DOTNET_PKG_COMPAT="10.0"
+NUGETS="
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+"
+
+inherit check-reqs dotnet-pkg
+
+DESCRIPTION="LSP language server for editing Markdown files"
+HOMEPAGE="https://github.com/artempyanykh/marksman/"
+
+if [[ "${PV}" == *9999* ]] ; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/artempyanykh/${PN}"
+else
+
SRC_URI="https://github.com/artempyanykh/${PN}/archive/refs/tags/${APP_PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+ S="${WORKDIR}/${PN}-${APP_PV}"
+
+ KEYWORDS="~amd64"
+fi
+
+SRC_URI+=" ${NUGET_URIS} "
+
+LICENSE="Apache-2.0 BSD-2 MIT"
+SLOT="0"
+
+CHECKREQS_DISK_BUILD="1400M"
+DOTNET_PKG_PROJECTS=( Marksman/Marksman.fsproj )
+DOTNET_PKG_BUILD_EXTRA_ARGS=( -p:VersionString="${APP_PV}" )
+DOTNET_PKG_TEST_EXTRA_ARGS=( "${DOTNET_PKG_BUILD_EXTRA_ARGS[@]}" )
+
+DOCS=( README.md docs )
+
+pkg_setup() {
+ check-reqs_pkg_setup
+ dotnet-pkg_pkg_setup
+}
+
+src_unpack() {
+ dotnet-pkg_src_unpack
+
+ if [[ -n "${EGIT_REPO_URI}" ]] ; then
+ git-r3_src_unpack
+ fi
+}
+
+src_prepare() {
+ find . -type f -name "*proj" -exec sed \
+ -e "s|net9.0|net10.0|g" \
+ -i {} + || die
+
+ dotnet-pkg_src_prepare
+}